[general]
#
# general.domain
#
# Domain name of PacketFence system.
domain=lab.test
#
# general.hostname
#
# Hostname of PacketFence system.  This is concatenated with the domain in Apache rewriting rules and therefore must be resolvable by clients.
hostname=pf1
dnsservers=127.0.0.1,192.168.1.3
dhcpservers=127.0.0.1,192.168.1.2

[network]
#
# network.mode
#
# Defines the mode in which PacketFence will operate.
# 
# When deployed in arp mode, PacketFence uses ARP manipulation inject itself into the datastream of unregistered or 
# trapped nodes.  The major failing of arp mode is that 
# it's not 100% in catching all traffic - spurious packets can and will occasionaly get through.
mode=vlan

[vlan]
dhcpd=enabled
named=enabled

[trapping]
#
# trapping.range
#
# Comma-delimited list of address ranges/CIDR blocks that PacketFence will monitor/detect/trap on.  Gateway, network, and 
# broadcast addresses are ignored.
range=192.168.0.0/16
#
# trapping.registration
#
# If enabled, nodes will be required to register on first network access.  Further registration options are configured in the 
# registration section.
registration=enabled
#
# trapping.passthrough
#
# Method by which content is delivered to trapped systems. When set to "proxy", PacketFence uses Apache's reverse proxy 
# functionality and rewrites links. Note that any link to an external resource on the target server will not be properly
# rewritten.
# When set to "iptables", PacketFence creates passthroughs to the content for only those nodes trapped with the 
# corresponding violation.  Be aware that an iptables passthrough is based on IP address and clients will be able to 
# get to ALL content on the destination site.
# When set to "disabled" passthrough is disabled.
passthrough=disabled
testing=disabled
immediate=disabled
redirecturl=http://web.lab.test
detection=enabled
redirtimer=10s
whitelist=http://web.lab.test

[registration]
#
# registration.auth
#
# Method by which registering nodes will be authenticated.  Templates for LDAP and local are 
# available at <conf_dir>/authentication.  If you wish to use a different authentication mechanism, simply create 
# a file called <conf_dir>/authentication/<authname>.pm, fill it with the necessary data, and set 
# auth=<authname>.  The default value, local, relies on a local access file in <conf_dir>/user.conf.
auth=radius

[ports]
#
# ports.admin
#
# Port the administrative interface listens on.
admin=8080
redirect=80/tcp,110/tcp,143/tcp,443/tcp
listeners=imap,pop3

#
[database]
#
# database.pass
#
# Password for the mysql database used by PacketFence.
pass=password

[interface eth0]
ip=192.168.1.5
mask=255.255.255.0
type=internal,managed
gateway=192.168.1.254
authorizedips=

[interface eth0.2]
ip=192.168.2.5
mask=255.255.255.0
type=dhcplistener,internal,monitor
gateway=192.168.2.5

[interface eth0.3]
ip=192.168.3.5
mask=255.255.255.0
type=dhcplistener,internal,monitor
gateway=192.168.3.5
